Get a Single Media Library Entry
| Version | Change |
|---|---|
| release-2020-10 | Initial support. |
Required scope:
public-api:read
Description
Fetch a Media Library Entries by itsid.Endpoint
GET /api/2026-03/mediaLibrary/{id}Response
Patch a Media Library Entry
| Version | Change |
|---|---|
| release-2026-03 | Added preserveUpdatedAt parameter. When set to true, the entry’s updated_at timestamp is not modified. This is useful for imports and migrations where the original timestamps should be preserved. |
| release-2026-01 | Added unrevokeAsset operation.Added the note property to be used with the revokeAsset operation. |
| release-2024-01 | Added removeAsset operation. |
| release-2022-03 | Added replaceAsset operation. |
| release-2020-12 | Initial support. |
Required scope:
public-api:write
Description
Patch a Media Library Entry by itsid.Use Cases
- Enhancing MediaLibraryEntries. For example, update the metadata after transcoding a video or analyzing the media with an external service.
- When having a separate DAM - update Livingdocs Media Library Entry
Endpoint
PATCH /api/2026-03/mediaLibrary/{id}Parameters
| Name | Type | Required | Notes |
|---|---|---|---|
| version | string | current mediaLibraryEntry version. When set on update the version is checked. | |
| preserveUpdatedAt | boolean | When set to This is useful for imports and migrations where the original timestamps should be preserved to maintain correct sort order. | |
| patches | array | x | An array of patches to execute. Each entry is an object with the following keys:
|
Example Request
{
"version": "1",
// When true, the entry's updated_at timestamp is preserved
"preserveUpdatedAt": true,
"patches": [
{
// update a single metadata property
"operation": "setMetadataProperty",
"propertyName": "title",
"value": "updated title"
},
{
// replace the asset
"operation": "replaceAsset",
"value": {
// the file with this key should exist in the configured storage
key: '2021/11/23/my-new-file.png',
url: 'https://example.com/my-new-file.png',
size: 10000,
width: 1000,
height: 800,
filename: 'my-new-file.png',
mimeType: 'image/png'
}
},
{
// revoke the asset
"operation": "revokeAsset",
"note": "Case #1"
},
{
// unrevoke the asset
"operation": "unrevokeAsset"
},
{
// archives a Media Library Entry
"operation": "archive"
},
{
// removes a translated asset (the default locale asset cannot be removed)
"operation": "removeAsset",
"locale": "en"
}
]
}
Response
Patch a Media Library Entry
This endpoint has changes in version 2026-03.
| Version | Change |
|---|---|
| release-2026-01 | Added unrevokeAsset operation.Added the note property to be used with the revokeAsset operation. |
| release-2024-01 | Added removeAsset operation. |
| release-2022-03 | Added replaceAsset operation. |
| release-2020-12 | Initial support. |
Required scope:
public-api:write
Description
Patch a Media Library Entry by itsid.Use Cases
- Enhancing MediaLibraryEntries. For example, update the metadata after transcoding a video or analyzing the media with an external service.
- When having a separate DAM - update Livingdocs Media Library Entry
Endpoint
PATCH /api/2026-01/mediaLibrary/{id}Parameters
| Name | Type | Required | Notes |
|---|---|---|---|
| version | string | current mediaLibraryEntry version. When set on update the version is checked. | |
| patches | array | x | An array of patches to execute. Each entry is an object with the following keys:
|
Example Request
{
"version": "1",
"patches": [
{
// update a single metadata property
"operation": "setMetadataProperty",
"propertyName": "title",
"value": "updated title"
},
{
// replace the asset
"operation": "replaceAsset",
"value": {
// the file with this key should exist in the configured storage
key: '2021/11/23/my-new-file.png',
url: 'https://example.com/my-new-file.png',
size: 10000,
width: 1000,
height: 800,
filename: 'my-new-file.png',
mimeType: 'image/png'
}
},
{
// revoke the asset
"operation": "revokeAsset",
"note": "Case #1"
},
{
// unrevoke the asset
"operation": "unrevokeAsset"
},
{
// archives a Media Library Entry
"operation": "archive"
},
{
// removes a translated asset (the default locale asset cannot be removed)
"operation": "removeAsset",
"locale": "en"
}
]
}
Response
Get Media Library Entries
| Version | Change |
|---|---|
| release-2026-01 | Responds with an object containing a results array. |
| release-2020-10 | Initial support. |
Required scope:
public-api:read
Description
Fetch multiple Media Library Entries by theirids or externalIdsEndpoint
GET /api/2026-03/mediaLibraryParameters
| Name | Type | Required | Notes |
|---|---|---|---|
| ids | string | Comma separated list of media library entry ids | |
| externalId | string | External id of the media library entry | |
| systemName | string | System name of the media library entry |
Response
Get Media Library Entries
This endpoint has changes in version 2026-01.
| Version | Change |
|---|---|
| release-2020-10 | Initial support. |
Required scope:
public-api:read
Description
Fetch multiple Media Library Entries by theirids or externalIdsEndpoint
GET /api/2025-11/mediaLibraryParameters
| Name | Type | Required | Notes |
|---|---|---|---|
| ids | string | Comma separated list of media library entry ids | |
| externalId | string | External id of the media library entry | |
| systemName | string | System name of the media library entry |
Response
Get Incoming Publication References for a Media Library Entry
| Version | Change |
|---|---|
| release-2026-01 | Responds with an object containing a results array, the total number of results, and a cursor for pagination. |
Required scope:
public-api:read
Description
This endpoint returns all publications which link to this Media Library Entry (via content or metadata)Use Cases
- Useful to know if the Media Library Entry is in use when revoking or archiving
Endpoint
GET /api/2026-03/mediaLibrary/{mediaId}/incomingDocumentReferencesParameters
| Name | Type | Required | Notes |
|---|---|---|---|
| mediaId | string | x | |
| ?limit | integer | A limit for how much published documents to retrieve. Defaults to 100. Max. 100. | |
| ?offset | integer | An offset into the query. Useful when getting more than 100 results (pagination). | |
| ?after | string | The cursor provided in the response can be passed back for pagination instead of using offset. |
Response
Get Incoming Publication References for a Media Library Entry
This endpoint has changes in version 2026-01.
Required scope:
public-api:read
Description
This endpoint returns all publications which link to this Media Library Entry (via content or metadata)Use Cases
- Useful to know if the Media Library Entry is in use when revoking or archiving
Endpoint
GET /api/2025-11/mediaLibrary/{mediaId}/incomingDocumentReferencesParameters
| Name | Type | Required | Notes |
|---|---|---|---|
| mediaId | string | x | |
| ?limit | integer | A limit for how much published documents to retrieve. Defaults to 100. Max. 100. | |
| ?offset | integer | An offset into the query. Useful when getting more than 100 results (pagination). |
Response
Get Incoming Media References for a Media Library Entry
| Version | Change |
|---|---|
| release-2026-01 | Responds with an object containing a results array, the total number of results, and a cursor for pagination. |
Required scope:
public-api:read
Description
This endpoint returns all Media Library Entries which link to this Media Library Entry (via metadata)Endpoint
GET /api/2026-03/mediaLibrary/{mediaId}/incomingMediaReferencesParameters
| Name | Type | Required | Notes |
|---|---|---|---|
| mediaId | string | x | |
| ?limit | integer | A limit for how much published documents to retrieve. Defaults to 100. Max. 100. | |
| ?offset | integer | An offset into the query. Useful when getting more than 100 results (pagination). | |
| ?after | string | The cursor provided in the response can be passed back for pagination instead of using offset. |
Response
Get Incoming Media References for a Media Library Entry
This endpoint has changes in version 2026-01.
Required scope:
public-api:read
Description
This endpoint returns all Media Library Entries which link to this Media Library Entry (via metadata)Endpoint
GET /api/2025-11/mediaLibrary/{mediaId}/incomingMediaReferencesParameters
| Name | Type | Required | Notes |
|---|---|---|---|
| mediaId | string | x | |
| ?limit | integer | A limit for how much published documents to retrieve. Defaults to 100. Max. 100. | |
| ?offset | integer | An offset into the query. Useful when getting more than 100 results (pagination). |
Response
Serve Image
| Version | Change |
|---|---|
| release-2025-03 | Initial support. |
Required scope:
public-api:read
Description
This endpoint delivers an image in its original dimensions, provided the asset remains valid (i.e., not revoked or marked as invalid). It is designed to serve as a reliable source for image proxies or resizing services, ensuring only authorized and valid images are accessible.Endpoint
GET /api/2026-03/mediaLibrary/serve-image/{key}